| Haskell Hierarchical Libraries (base package) | Source code | Contents | Index

GHC.Dynamic

Synopsis

data Dynamic
data TypeRep
dynTypeRep :: Dynamic -> TypeRep
showsTypeRep :: TypeRep -> ShowS

Documentation
data Dynamic

A value of type `Dynamic` is an object encapsulated together with its type. A `Dynamic` may only represent a monomorphic value; an attempt to create a value of type `Dynamic` from a polymorphically-typed expression will result in an ambiguity error (see `toDyn`). `Show`ing a value of type `Dynamic` returns a pretty-printed representation of the object's type; useful for debugging.
Instances

Show Dynamic
Typeable Dynamic

data TypeRep

A concrete representation of a (monomorphic) type. `TypeRep` supports reasonably efficient equality.
Instances

Data TypeRep
Eq TypeRep
Show TypeRep
Typeable TypeRep

dynTypeRep :: Dynamic -> TypeRep
showsTypeRep :: TypeRep -> ShowS
Produced by Haddock version 0.8